<?php

namespace SuperRhino\AppStoreServerApi;

use SuperRhino\AppStoreServerApi\Response\ServerNotificationsPayload;

class AppStoreServerNotifications {

    /**
     * Handle server notifications
     * @param string $signedPayload
     * @param string $applePemString
     * @return ServerNotificationsPayload
     */
    public function serverNotify(string $signedPayload, string $applePemString): ServerNotificationsPayload {
        $signedPayload = Util::decodeJWS($signedPayload, $applePemString);
        return ServerNotificationsPayload::make($signedPayload);
    }

}